Payments & FinanceBilling
Cancel the current billing subscription
POST
/v1/billing/current/subscription/cancelCancel the current billing subscription. A successful request returns HTTP 200 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/billing/current/subscription/cancel" \ -H "Authorization: Bearer <token>"{ "id": "7204558912004325301", "plan": "none", "status": "incomplete", "amount": 1, "currencyCode": "PEN", "billingInterval": "example", "startedOn": "2026-08-01T15:30:00Z", "currentPeriodStartsOn": "2026-08-01T15:30:00Z", "currentPeriodEndsOn": "2026-08-01T15:30:00Z", "cancelAtPeriodEnd": false, "cancelledOn": "2026-08-01T15:30:00Z", "paymentGraceEndsOn": "2026-08-01T15:30:00Z", "failedPaymentCount": 1, "lastPaymentError": "example"}